package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 应用与客户关联表
 * </p>
 *
 * @author bmmx
 * @since 2024-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pcb_clients")
@ApiModel(value="PcbClients对象", description="应用与客户关联表")
public class PcbClients implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "app_pcb_id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "pcb ID")
    private Integer pcbId;

    @ApiModelProperty(value = "客户端编码")
    private String clientNum;


}
