package com.om.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AppElectronicDTO {

    @ApiModelProperty(value = "系统名称")
    private String electronicControlName;

    @ApiModelProperty(value = "版本信息集合")
    private List<AppEcuInfoDTO> ecuInfors;

    @ApiModelProperty(value = "故障码集合")
    private List<AppFaultCodeDTO> faultCodes;
}
