package com.om.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.om.entity.vo.BrushDescriptionVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-03-21
 */
@Data
public class BrushAddDTO implements Serializable {

    @ApiModelProperty(value = "刷写文件名称")
    private String brushFileName;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "下载路径")
    private String url;

    @ApiModelProperty(value = "多语言描述列表")
    private List<BrushDescriptionVO> descriptionList;

    @ApiModelProperty(value = "品牌编号")
    private String brandCode;

    @ApiModelProperty(value = "客户端编号(多选)")
    private List<String> clientNums;

    @ApiModelProperty(value = "状态，1：启用  0：禁用")
    private Integer status = 1;


}
