package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-02-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ecu_info")
@ApiModel(value="EcuInfo对象", description="")
public class EcuInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "EcuInfoID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "关联的ElectronicControlDetails ID")
    private Integer electronicControlId;

    @ApiModelProperty(value = "条目名称")
    private String strCaption;

    @ApiModelProperty(value = "值")
    private String strInformation;


}
