package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-02-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("electronic_control")
@ApiModel(value="ElectronicControl对象", description="")
public class ElectronicControl implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "electronic_controlID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "系统名称")
    private String electronicControlName;

    @ApiModelProperty(value = "诊断报告id")
    private Integer repairId;

}
