package com.om.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.om.entity.po.Apps;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 软件应用表 Mapper 接口
 * </p>
 *
 * @author henry-ong
 * @since 2024-03-12
 */
public interface AppsMapper extends BaseMapper<Apps> {

    Page<Apps> findApps(Page<Apps> objectPage, @Param("code") String code, String title);
}
